Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 663352 - x11-misc/qterm-0.7.1 : /.../keydialog.h:48:15: error: field bgKey has incomplete type QButtonGroup
Summary: x11-misc/qterm-0.7.1 : /.../keydialog.h:48:15: error: field bgKey has incompl...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: CJK Team
URL:
Whiteboard: fixed in 0.7.3
Keywords:
Depends on:
Blocks: qt-5.11
  Show dependency tree
 
Reported: 2018-08-11 07:54 UTC by Toralf Förster
Modified: 2018-08-18 02:09 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.94 KB, text/plain)
2018-08-11 07:55 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,395.76 KB, text/plain)
2018-08-11 07:55 UTC, Toralf Förster
Details
environment (environment,120.86 KB, text/plain)
2018-08-11 07:55 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,13.06 KB, application/x-bzip)
2018-08-11 07:55 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,4.89 KB, application/x-bzip)
2018-08-11 07:55 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,32.14 KB, application/x-bzip)
2018-08-11 07:55 UTC, Toralf Förster
Details
x11-misc:qterm-0.7.1:20180811-074831.log (x11-misc:qterm-0.7.1:20180811-074831.log,91.47 KB, text/plain)
2018-08-11 07:55 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2018-08-11 07:54:59 UTC
In file included from /var/tmp/portage/x11-misc/qterm-0.7.1/work/qterm-0.7.1/src/keydialog.cpp:10:0:
/var/tmp/portage/x11-misc/qterm-0.7.1/work/qterm-0.7.1/src/keydialog.h:48:15: error: field ‘bgKey’ has incomplete type ‘QButtonGroup’
  QButtonGroup bgKey;
               ^~~~~
In file included from /usr/include/qt5/QtWidgets/qpushbutton.h:44:0,

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.0-desktop-plasma_20180727-200801

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-7.3.0
 [2] x86_64-pc-linux-gnu-7.3.1 *

Available Python interpreters, in order of preference:
  [1]   python3.7
  [2]   python3.6
  [3]   python2.7 (fallback)
  [4]   pypy3 (fallback)
  [5]   pypy (fallback)
Available Ruby profiles:
  [1]   ruby23 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.8.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

emerge -qpv x11-misc/qterm
[ebuild  N    ] x11-misc/qterm-0.7.1  USE="-libressl" 

!!! The following installed packages are masked:
- dev-python/Coffin-2.0.1::gentoo (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Virgil Dupras <vdupras@gentoo.org> (02 Aug 2018)
# Django 1.8 is unsupported and insecure. These packages haven't been updated
# to work with up-to-date django. Removal in 30 days. Bug #662632

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.
Comment 1 Toralf Förster gentoo-dev 2018-08-11 07:55:02 UTC
Created attachment 543036 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2018-08-11 07:55:05 UTC
Created attachment 543038 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2018-08-11 07:55:08 UTC
Created attachment 543040 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2018-08-11 07:55:11 UTC
Created attachment 543042 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2018-08-11 07:55:14 UTC
Created attachment 543044 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2018-08-11 07:55:17 UTC
Created attachment 543046 [details]
temp.tbz2
Comment 7 Toralf Förster gentoo-dev 2018-08-11 07:55:19 UTC
Created attachment 543048 [details]
x11-misc:qterm-0.7.1:20180811-074831.log
Comment 8 Andreas Sturmlechner gentoo-dev 2018-08-17 20:30:00 UTC
Supposedly fixed in 0.7.3.

https://github.com/qterm/qterm/releases/tag/0.7.3
Comment 9 Larry the Git Cow gentoo-dev 2018-08-18 02:09:53 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7b26a5c5481d595475afb5df897f9057e6df71dc

commit 7b26a5c5481d595475afb5df897f9057e6df71dc
Author:     Akinori Hattori <hattya@gentoo.org>
AuthorDate: 2018-08-18 02:01:16 +0000
Commit:     Akinori Hattori <hattya@gentoo.org>
CommitDate: 2018-08-18 02:01:16 +0000

    x11-misc/qterm: fix build with Qt 5.11
    
    Closes: https://bugs.gentoo.org/663352
    Package-Manager: Portage-2.3.40, Repoman-2.3.9

 x11-misc/qterm/files/qterm-0.7.1-headers.patch | 40 ++++++++++++++++++++++++++
 x11-misc/qterm/qterm-0.7.1.ebuild              |  1 +
 2 files changed, 41 insertions(+)